# Shader in maplibre::render::shaders - Rust
API documentation for the Rust `Shader` trait in crate `maplibre`.
Keywords: rust, rustlang, rust-lang, Shader

# Trait maplibre::render::shaders::Shader

source · [−]

    pub trait Shader {
        fn describe_vertex(&self) -> VertexState;
        fn describe_fragment(&self) -> FragmentState;
    }

## Required methods

source

#### fn describe_vertex(&self) -> VertexState

source

#### fn describe_fragment(&self) -> FragmentState

## Implementors

source

### impl Shader for TileMaskShader

source

### impl Shader for TileShader